#
# spec file for package python3-gcemetadata
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%define upstream_name gcemetadata
Name:           python-gcemetadata
Version:        1.0.4
Release:        1.3
Summary:        Python module for collecting instance metadata from GCE
License:        GPL-3.0-or-later
Group:          System/Management
URL:            https://github.com/SUSE/Enceladus
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
BuildRequires:  fdupes
Obsoletes:      python3-gcemetadata < %{version}
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(postun):  update-alternatives
%python_subpackages

%description
A module for collecting instance metadata from Google Compute Engine.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 man/man1/gcemetadata.1 %{buildroot}/%{_mandir}/man1
%python_clone -a %{buildroot}%{_bindir}/%{upstream_name}
%python_clone -a %{buildroot}%{_mandir}/man1/gcemetadata.1
%python_expand %fdupes %{buildroot}%{$python_sitelib}


%post
%python_install_alternative gcemetadata gcemetadata.1%{?ext_man}

%postun
%python_uninstall_alternative gcemetadata

%files %{python_files}
%doc README.md
%license LICENSE
%python_alternative %{_bindir}/%{upstream_name}
%{python_sitelib}/%{upstream_name}
%{python_sitelib}/%{upstream_name}-%{version}*-info
%python_alternative %{_mandir}/man1/%{upstream_name}.1%{?ext_man}

%changelog
* Mon Jul 22 2024 Robert Schweikert <rjschwei@suse.com>
- Obsolete the Python 3.6 build
* Thu May 30 2024 Matej Cepl <mcepl@cepl.eu>
- Replace python3-gcemetadata with universal packaging
  (https://trello.com/c/fupyiTVo/168-python3-packages-in-factory).
- Rename to python-gcemetadata.
* Mon Jun 22 2020 Robert Schweikert <rjschwei@suse.com>
- Update to version 1.0.4 (bsc#1173136)
  + Fix typo, missing "=" for "identity" option in processed command
    line options causes mis-identification of instance as missing identity
    data access
* Fri Jun  5 2020 Robert Schweikert <rjschwei@suse.com>
- Include in SLE 12 (jsc#PM-1900)
* Wed Jun  5 2019 Robert Schweikert <rjschwei@suse.com>
- Update to version 1.0.3 (bsc#1134510)
  + Handle the condition where the identity data of the instance may
    not be accessible from the metadata server and provide proper
    error messaging
- From 1.0.2
  + Avoid traceback when not running in GCE, by testing access to the
    metdata server first before performing othre operations
* Sun Jul 29 2018 jengelh@inai.de
- Use noun phrase in summary.
* Tue Jun 19 2018 rjschwei@suse.com
- Update to version 1.0.1 (bsc#1097505)
  + Support instances with multiple Nics
* Fri Nov 17 2017 rjschwei@suse.com
- Update to version 1.0.0
  + Port to Python 3
* Wed Aug 23 2017 rjschwei@suse.com
- Update to version 0.3.2 (bsc#1053695, bsc#1053695)
  + Implement new feature to generate license verification token
  + Add man page
- From 0.3.1 (bsc#1053687)
  + The --identity argument must accept a value and the value is required
- From 0.3.0
  + Properly handle overlapping enpoint names
- From 0.2.2
  + Support writing data to a file and as XML snippets
* Tue Aug 15 2017 rjschwei@suse.com
- Update to version 0.2.1 (bsc#1045148)
  + Set proper value for dict lookup to avoid traceback
* Fri Mar 13 2015 rjschwei@suse.com
- Update to version 0.2.0
  + Implement query functionality for all options
* Tue Feb 17 2015 rjschwei@suse.com
- Initial build, include in SLE 12 (FATE#318435)
  + Version 0.0.5
